require File.expand_path(File.join(File.dirname(__FILE__), "..", "..", "spec_helper"))
require 'chef/knife/tidy_base'
require 'chef/knife'
require 'chef/config'
require 'stringio'

class Tester
end

describe Chef::Knife::TidyBase do
  before(:each) do
    @t = Tester.new
    @t.extend(Chef::Knife::TidyBase)
    @rest = double('rest')
    allow(Chef::ServerAPI).to receive(:new).and_return(@rest)
    @out = StringIO.new("** Finished **\n")
    allow(@t).to receive(:ui).and_return(@out)
  end

  describe "#completion_message" do
    it "lets the user know we're Finished" do
      expect(@t.completion_message).to eq(@out)
    end
  end
end
